Skip to main content

Update Webhook

Updates the description, callback URL, or subscribed events of a Webhook. Omitted fields remain unchanged.

Prerequisites

Endpoint and authentication configured. For details, see Overview and authentication.

Endpoint

PUT /webhook_endpoints/{id}

Path parameters

FieldRequiredTypeDescription
idYesstringWebhook ID, format wep_<ULID>

Request body

Omitted fields remain unchanged.
FieldRequiredTypeDescription
descriptionNostring | nullMax 256 characters; null or empty string clears the description; omitted means unchanged
urlNostringNew callback URL; re-validated when provided; private, loopback, link-local, and reserved addresses are rejected
eventsNoarray<string>Replaces the entire subscription list with named event types; omitted means unchanged

Request example

curl -X PUT "$AGENTSTUDIO_URL/webhook_endpoints/wep_01JXX7YQGPRPV1BZXA35QE7WDP" \
  -H "Authorization: Bearer $DASHSCOPE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "description": "Production Agent and Session events",
    "url": "https://example.com/managedagent/webhooks-v2",
    "events": ["agent.updated", "session.status_idled"]
  }'

Response example

{
  "id": "wep_01JXX7YQGPRPV1BZXA35QE7WDP",
  "description": "Production Agent and Session events",
  "url": "https://example.com/managedagent/webhooks-v2",
  "events": ["agent.updated", "session.status_idled"],
  "status": "ACTIVE",
  "disabled_reason": null,
  "consecutive_fail": 2,
  "last_success_at": "2026-08-06T10:05:00Z",
  "last_failure_at": "2026-08-06T10:10:00Z",
  "created_at": "2026-08-06T10:00:00Z",
  "updated_at": "2026-08-06T10:15:00Z",
  "request_id": "8e1d16e4"
}

Response fields

FieldTypeDescription
idstringWebhook ID
descriptionstring | nullDescription
urlstringCallback URL
eventsarray<string>Subscribed named event types
statusstringWebhook status: ACTIVE or DISABLED
disabled_reasonstring | nullDisable reason; null when not disabled
consecutive_failintegerCurrent consecutive failure count at the time of update
last_success_atstring | nullLast successful delivery time at the time of update
last_failure_atstring | nullLast failed delivery time at the time of update
created_atstringCreation time, ISO 8601
updated_atstringLast update time, ISO 8601
request_idstringUnique request identifier

Error codes

HTTP statusError codeDescription
40011800016Invalid request parameter
40411800001Webhook not found
Flow Agent API
Sandbox API
RAG API
Long-term Memory
ParseX API
Security API
Framework Integration